<template>
  <q-page padding>
    <div class="text-h6 q-mb-md"></div>
    <q-toolbar class="bg-blue-grey text-white shadow-2 rounded-borders">
      Estado de Formacion: &nbsp;

      <q-space />
      <div class="q-gutter-xs">
        <q-btn
          flat
          dense
          icon="arrow_back_ios_new"
          label="Atras"
          href="javascript:history.go(-1)"
        />
      </div>
    </q-toolbar>
    <div>
      <InsigniaMaderaDetalle :uuid="uuid" />
    </div>

    <div class="q-mt-sm">
      <FormacionExperienciaDetalle
        tipo="FA"
        :uuid="uuid"
        titulo="Experiencias Específicas para la Función (Formación Avanzada)"
      />
    </div>

    <div class="q-mt-sm">
      <FormacionExperienciaDetalle
        tipo="CO"
        :uuid="uuid"
        titulo="Mis Experiencias Realizadas"
      />
    </div>
  </q-page>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import FormacionExperienciaDetalle from 'components/Formacion/ExperienciaDetalle.vue';
import InsigniaMaderaDetalle from 'components/Formacion/InsigniaMaderaDetalle.vue';
import { useRoute } from 'vue-router';

export default defineComponent({
  name: 'IndexPage',
  components: { FormacionExperienciaDetalle, InsigniaMaderaDetalle },

  setup() {
    const route = useRoute();
    const uuid = String(
      route.params.uuid === undefined ? '' : route.params.uuid
    );
    return {
      uuid,
    };
  },
});
</script>
